<?php



class TblbloguserMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblbloguserMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblbloguserPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblbloguserPeer::TABLE_NAME);
		$tMap->setPhpName('Tblbloguser');
		$tMap->setClassname('Tblbloguser');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('US_BLOG', 'UsBlog', 'INTEGER', true, null);

		$tMap->addForeignPrimaryKey('US_USER', 'UsUser', 'INTEGER' , 'tbluser', 'US_ID', true, null);

		$tMap->addColumn('US_ROLE', 'UsRole', 'INTEGER', true, null);

		$tMap->addColumn('US_CATEGORIES', 'UsCategories', 'VARCHAR', false, 255);

		$tMap->addColumn('US_PICTURE', 'UsPicture', 'VARCHAR', true, 255);

		$tMap->addColumn('US_LASTVISIT', 'UsLastvisit', 'TIMESTAMP', true, null);

		$tMap->addColumn('US_JOINDATE', 'UsJoindate', 'TIMESTAMP', true, null);

		$tMap->addColumn('US_FULLNAME', 'UsFullname', 'VARCHAR', false, 255);

		$tMap->addColumn('US_NICKNAME', 'UsNickname', 'VARCHAR', false, 255);

		$tMap->addColumn('US_EMAIL', 'UsEmail', 'VARCHAR', false, 255);

		$tMap->addColumn('US_MANAGECAT', 'UsManagecat', 'VARCHAR', false, 255);

	} 
} 